Главная / Новости / В преобразователях Moxa NPort исправлены серьезные уязвимости

В преобразователях Moxa NPort исправлены серьезные уязвимости

Компания Moxa выпустила обновления, устраняющие серьезные уязвимости в прошивках некоторых серверов последовательных портов NPort.

Согласно уведомлению US ICS-СERT, уязвимыми являются следующие устройства:

  • NPort 5110 v.2.2, 2.4, 2.6, 2.7
  • NPort 5130 v.3.7 и более ранний версий
  • NPort 5150 v.3.7 и более ранних версий

Эти устройства подвержены сразу трем уязвимостям, которые могут быть использованы для удаленных атак. Первая из них, CVE-2017-16719, позволяет злоумышленнику выполнять инъекции вредоносных пакетов и, тем самым, нарушать доступность устройств. Другая уязвимость, CVE-2017-16715, связана с ошибкой в реализации заполнения Ethernet-кадров, что может привести к раскрытию информации. И, наконец, брешь безопасности CVE-2017-14028 может быть использована для исчерпания памяти с помощью переполнения SYN-пакетами.

Все уязвимости были исправлены выпуском версии 2.9 для NPort 5110 и версии 3.8 для NPort 5130 и 5150.

Устройства NPort представляют собой промышленные преобразователи интерфейсов Serial-to-Ethernet, которые часто используются в критической инфраструктуре, включая электростанции, очистные сооружения и химические заводы. Именно этот тип устройств являлся одним из векторов атаки на украинские энергокомпании в декабре 2015 года.

Источник: US ICS-СERT